const webpack = require('webpack');

const envVars = {
    'process.env.REACT_APP_KEY': JSON.stringify(process.env.REACT_APP_KEY),
    'process.env.REACT_APP_NAME': JSON.stringify(process.env.REACT_APP_NAME),
    'process.env.REACT_APP_HEADER': JSON.stringify(process.env.REACT_APP_HEADER),
    'process.env.REACT_APP_TITLE': JSON.stringify(process.env.REACT_APP_TITLE),
    'process.env.REACT_APP_ENVIROMENT': JSON.stringify(process.env.REACT_APP_ENVIROMENT),
    'process.env.REACT_APP_GOOGLE_CLIENT_ID': JSON.stringify(process.env.REACT_APP_GOOGLE_CLIENT_ID),
    'process.env.REACT_APP_GOOGLE_AUTH_URL': JSON.stringify(process.env.REACT_APP_GOOGLE_AUTH_URL),
    'process.env.REACT_APP_LOGO_URL': JSON.stringify(process.env.REACT_APP_LOGO_URL),
    'process.env.REACT_APP_LOGO2_URL': JSON.stringify(process.env.REACT_APP_LOGO2_URL),
    'process.env.REACT_APP_API': JSON.stringify(process.env.REACT_APP_API),
    'process.env.REACT_APP_API_PREVENTA': JSON.stringify(process.env.REACT_APP_API_PREVENTA),
    'process.env.REACT_APP_API_EDUCACION': JSON.stringify(process.env.REACT_APP_API_EDUCACION),
    'process.env.REACT_APP_TELEGRAM_API': JSON.stringify(process.env.REACT_APP_TELEGRAM_API),
    'process.env.REACT_APP_TELEGRAM_TOKEN': JSON.stringify(process.env.REACT_APP_TELEGRAM_TOKEN),
    'process.env.REACT_APP_TELEGRAM_TOKEN_PREVENTA': JSON.stringify(process.env.REACT_APP_TELEGRAM_TOKEN_PREVENTA),
    'process.env.REACT_APP_TELEGRAM_TOKEN_EDUCACION': JSON.stringify(process.env.REACT_APP_TELEGRAM_TOKEN_EDUCACION),
    'process.env.REACT_APP_TELEGRAM_CHAT_ID': JSON.stringify(process.env.REACT_APP_TELEGRAM_CHAT_ID),
    'process.env.REACT_APP_TELEGRAM_CHAT_ID_PREVENTA': JSON.stringify(process.env.REACT_APP_TELEGRAM_CHAT_ID_PREVENTA),
    'process.env.REACT_APP_TELEGRAM_CHAT_ID_EDUCACION': JSON.stringify(process.env.REACT_APP_TELEGRAM_CHAT_ID_EDUCACION),
    'process.env.REACT_APP_TELEGRAM_PARSE_MODE': JSON.stringify(process.env.REACT_APP_TELEGRAM_PARSE_MODE),
}

/** @type {import('next').NextConfig} */

module.exports = {
    reactStrictMode: true,
    eslint: {
        ignoreDuringBuilds: true,
    },
    webpack(config) {
        config.plugins.push(new webpack.DefinePlugin(envVars));
        return config;
    },
    images: {
        remotePatterns: [
            {
                protocol: "https",
                hostname: "i.postimg.cc",
                port: ""
            }
        ]
    }
}