import React from "react";
import Image from "next/image";
import { useRouter } from "next/navigation";

import styles from "@styles/Header.module.scss";
import Navbar from "@components/Navbar";
import { useAppContext } from "@context/AppContext";

export default function Header() {
    const route = useRouter();
    const { state, setCurrentPage } = useAppContext();

    return (
        <header className={styles.Header}>
            <div>
                <div
                    style={{ cursor: "pointer" }}
                    onClick={() => {
                        setCurrentPage("");
                        route.push("/dashboard");
                    }}>
                    <Image
                        className={styles.Header__logo}
                        src={process.env.REACT_APP_LOGO2_URL}
                        alt='Logo2'
                        height={60}
                        width={60}
                    />
                </div>

                {state.currentPage != "" ? (
                    <h3 className={styles.Header__title}>
                        {"ATI - " + state.currentPage}
                    </h3>
                ) : (
                    <h3 className={styles.Header__title}>
                        {process.env.REACT_APP_HEADER}
                    </h3>
                )}
            </div>
            <div>
                <Navbar />
            </div>
        </header>
    );
}
