import React, { Component } from "react";

import RegistryHistoryDetail from "@components/RegistryHistoryDetail";

export default class LstHistory extends Component {
    constructor() {
        super();

        this.state = {
            showHistoryDetail: false,
            registry: null,
        };
    }

    setShowHistoryDetail(show = true) {
        this.setState({ showHistoryDetail: show });
    }

    openModal(registry) {
        this.setState({ registry: registry, showHistoryDetail: true });
    }

    render() {
        return (
            <div className='LstHistory Dialog'>
                <div className='Dialog__Content'>
                    <div className='Dialog__Title'>Historial de cambios</div>
                    <div className='Dialog__Body'>
                        {this.props.registries.map((registry) => (
                            <div
                                key={registry.id}
                                className='Card'
                                onClick={() =>
                                    this.openModal(registry)
                                }>{`ID: ${registry.id} - ${registry.nombre}`}</div>
                        ))}
                    </div>
                    <div className='Dialog__Footer'>
                        <div
                            className='Button Button__primary'
                            onClick={() => this.props.closeModal()}>
                            Cerrar
                        </div>
                    </div>
                </div>
                {this.state.showHistoryDetail && (
                    <RegistryHistoryDetail
                        registry={this.state.registry}
                        closeModal={() => this.setShowHistoryDetail(false)}
                    />
                )}
            </div>
        );
    }
}
