import React, { Component } from "react";

import Image from "next/image";

export default class MenuItem extends Component {
    render() {
        return (
            <div
                className={`MenuItem ${
                    this.props.option.children ? "DefaultCursor" : ""
                }`}>
                <div
                    className={`MenuItem__title ${
                        this.props.option.children ? "MenuCollapsible" : ""
                    }`}
                    onClick={this.props.collapseMenu}>
                    <Image
                        src={this.props.option.icon}
                        alt={this.props.option.title}
                        width={30}
                        height={30}
                    />
                    <span>{this.props.option.title}</span>
                </div>
                {this.props.option.children && (
                    <div className='MenuCollapsible__content'>
                        {this.props.option.children.map((child) => (
                            <div className='MenuItem__child' key={child.url}>
                                <div
                                    onClick={() =>
                                        this.props.router.push(child.url)
                                    }>
                                    {child.title}
                                </div>
                            </div>
                        ))}
                    </div>
                )}
            </div>
        );
    }
}
