import React, { Component } from "react";
import AppContext from "@context/AppContext";

import styles from "@styles/Message.module.scss";

export default class Message extends Component {
    constructor() {
        super();

        this.state = {
            type: "default",
            classType: "default",
        };
    }

    static contextType = AppContext;

    showMessage() {
        switch (this.props.type) {
            case "default":
                this.setState({
                    ...this.state,
                    type: this.props.type,
                    classType: "default",
                });
                break;
            case "success":
                this.setState({
                    ...this.state,
                    type: this.props.type,
                    classType: "success",
                });
                break;
            case "error":
                this.setState({
                    ...this.state,
                    type: this.props.type,
                    classType: "error",
                });
                break;
            case "info":
                this.setState({
                    ...this.state,
                    type: this.props.type,
                    classType: "info",
                });
                break;
            default:
                break;
        }

        let messageLength = this.props.message.length;
        let timeOut = 4500;

        if (messageLength > 100) {
            timeOut = 10000;
        }

        setTimeout(() => {
            this.context.setMessage(null);
        }, timeOut);
    }

    componentDidMount() {
        this.showMessage();
    }

    static contextType = AppContext;
    render() {
        return (
            <div className={`Message ${this.state.classType}`}>
                <p>{this.props.message}</p>
            </div>
        );
    }
}
