import React, { Component } from "react";

import DateFormatter from "@utils/DateFormatter";

export default class RegistryHistoryDetail extends Component {
    constructor() {
        super();

        this.state = {
            nombre: "",
            fecha_marca_temporal: "",
            quien_modifico_preguntas: "",
            fecha_modificacion_preguntas: "",
            estatus_preguntas: "",
            quien_modifico_junta: "",
            fecha_modificacion_junta: "",
            estatus_junta: "",
            quien_modifico_presentacion: "",
            fecha_modificacion_presentacion: "",
            estatus_presentacion: "",
            quien_modifico_ficha: "",
            fecha_modificacion_ficha: "",
            estatus_final_ficha: "",
            quien_modifico_usr_final: "",
            fecha_guardado_final: "",
            estatus_final: "",
        };
    }

    componentDidMount() {
        const registry = this.props.registry;

        this.setState({
            nombre: registry.nombre,
            fecha_marca_temporal: registry.marca_temporal ?? "N/A",
            quien_modifico_preguntas: registry.usuario_preguntas ?? "N/A",
            fecha_modificacion_preguntas: registry.fecha_hora_guardado_preguntas
                ? DateFormatter.fullDate(registry.fecha_hora_guardado_preguntas)
                : "N/A",
            estatus_preguntas: registry.estatus_preguntas ?? "N/A",
            quien_modifico_junta: registry.usuario_junta ?? "N/A",
            fecha_modificacion_junta: registry.fecha_hora_guardado_junta
                ? DateFormatter.fullDate(registry.fecha_hora_guardado_junta)
                : "N/A",
            estatus_junta: registry.estatus_junta ?? "N/A",
            quien_modifico_presentacion: registry.usuario_presentacion ?? "N/A",
            fecha_modificacion_presentacion:
                registry.fecha_hora_guardado_presentacion
                    ? DateFormatter.fullDate(
                          registry.fecha_hora_guardado_presentacion
                      )
                    : "N/A",
            estatus_presentacion: registry.estatus_presentacion ?? "N/A",
            quien_modifico_ficha: registry.usuario_ficha ?? "N/A",
            fecha_modificacion_ficha: registry.fecha_hora_guardado_ficha
                ? DateFormatter.fullDate(registry.fecha_hora_guardado_ficha)
                : "N/A",
            estatus_final_ficha: registry.estatus_ficha ?? "N/A",
            quien_modifico_usr_final: registry.usuario_final,
            fecha_guardado_final: registry.fecha_hora_guardado_final
                ? DateFormatter.fullDate(registry.fecha_hora_guardado_final)
                : "N/A",
            estatus_final: registry.estatus_final ?? "N/A",
        });
    }

    render() {
        return (
            <div className='RegistryHistoryDetail Dialog'>
                <div className='Dialog__Content'>
                    <div className='Dialog__Title'>
                        Historial de licitación {this.state.nombre}
                    </div>
                    <div className='Dialog__Body'>
                        <div className='History__Title'>
                            <div>Fecha de registro</div>
                            <div>{this.state.fecha_marca_temporal}</div>
                        </div>
                        <div className='Card History'>
                            <div>
                                <div>Quién modificó</div>
                                <div>{this.state.quien_modifico_preguntas}</div>
                            </div>
                            <div>
                                <div>Fecha de modificación</div>
                                <div>
                                    {this.state.fecha_modificacion_preguntas}
                                </div>
                            </div>
                            <div>
                                <div>Estatus preguntas</div>
                                <div>{this.state.estatus_preguntas}</div>
                            </div>
                        </div>
                        <div className='Card History'>
                            <div>
                                <div>Quién modificó</div>
                                <div>{this.state.quien_modifico_junta}</div>
                            </div>
                            <div>
                                <div>Fecha de modificación</div>
                                <div>{this.state.fecha_modificacion_junta}</div>
                            </div>
                            <div>
                                <div>Estatus junta</div>
                                <div>{this.state.estatus_junta}</div>
                            </div>
                        </div>
                        <div className='Card History'>
                            <div>
                                <div>Quién modificó</div>
                                <div>
                                    {this.state.quien_modifico_presentacion}
                                </div>
                            </div>
                            <div>
                                <div>Fecha de modificación</div>
                                <div>
                                    {this.state.fecha_modificacion_presentacion}
                                </div>
                            </div>
                            <div>
                                <div>Estatus presentación</div>
                                <div>{this.state.estatus_presentacion}</div>
                            </div>
                        </div>
                        <div className='Card History'>
                            <div>
                                <div>Quién modificó</div>
                                <div>{this.state.quien_modifico_ficha}</div>
                            </div>
                            <div>
                                <div>Fecha de modificación</div>
                                <div>{this.state.fecha_modificacion_ficha}</div>
                            </div>
                            <div>
                                <div>Estatus final</div>
                                <div>{this.state.estatus_final_ficha}</div>
                            </div>
                        </div>
                        <div className='Card History'>
                            <div>
                                <div>Quién modificó</div>
                                <div>{this.state.quien_modifico_usr_final}</div>
                            </div>
                            <div>
                                <div>Fecha de modificación</div>
                                <div>{this.state.fecha_guardado_final}</div>
                            </div>
                            <div>
                                <div>Estatus final</div>
                                <div>{this.state.estatus_final}</div>
                            </div>
                        </div>
                    </div>
                    <div className='Dialog__Footer'>
                        <div
                            className='Button Button__primary'
                            onClick={() => this.props.closeModal()}>
                            Cerrar
                        </div>
                    </div>
                </div>
            </div>
        );
    }
}
