"use client";

import React, { Component } from "react";

import Header from "@components/Header";
import Message from "@components/Message";
import AppContext from "@context/AppContext";
import LoggedUser from "@utils/LoggedUser";

export default class DashboardLayout extends Component {
    constructor() {
        super();

        this.state = {
            loading: true,
        };
    }

    static contextType = AppContext;

    componentDidMount() {
        const loggedUser = LoggedUser.get();

        if (loggedUser) {
            this.context.setUser(loggedUser);
            this.setState({
                loading: false,
            });
        } else {
            location.replace("/login");
        }
    }

    render() {
        return this.state.loading ? (
            <div></div>
        ) : (
            <div className='Layout'>
                <Header />
                <main>{this.props.children}</main>
                {this.context.state.message && (
                    <Message
                        type={this.context.state.message.type}
                        message={this.context.state.message.message}
                    />
                )}
            </div>
        );
    }
}
