"use client";

import { GoogleOAuthProvider } from "@react-oauth/google";
import React from "react";

import { AppWrapper } from "@context/AppContext";
import "@styles/globals.css";
import "./globals.css";

export default function RootLayout({ children, pageProps }) {
    return (
        <html lang='es'>
            <head>
                <title></title>
                <link
                    rel='icon'
                    sizes='any'
                    type='image/x-icon'
                    href={process.env.REACT_APP_LOGO2_URL}
                />
            </head>
            <body>
                <GoogleOAuthProvider
                    clientId={`${process.env.REACT_APP_GOOGLE_CLIENT_ID}`}>
                    <React.StrictMode>
                        <AppWrapper pageProps={pageProps}>
                            {children}
                        </AppWrapper>
                    </React.StrictMode>
                </GoogleOAuthProvider>
            </body>
        </html>
    );
}
