"use client"

import useInitialState from "@hooks/useInitialState";
import { createContext, useContext } from "react";

const AppContext = createContext();

export function AppWrapper({ children }) {
    const initialState = useInitialState();

    return (
        <AppContext.Provider value={initialState}>
            {children}
        </AppContext.Provider>
    )
}

export function useAppContext() {
    return useContext(AppContext);
}

export default AppContext;