"use client";

import { useState } from "react";

const initialState = {
    user: null,
    currentPage: "",
    message: null,
};

const useInitialState = () => {
    const [state, setState] = useState(initialState);

    const setUser = (payload) => {
        setState({
            ...state,
            user: payload
        });
    }

    const setCurrentPage = (payload) => {
        setState({
            ...state,
            currentPage: payload
        })
    }

    const setMessage = (payload) => {
        setState({
            ...state,
            message: payload,
        });
    };

    return {
        state,
        setUser,
        setCurrentPage,
        setMessage
    }
}

export default useInitialState;