const TelegramChannels = () => { };

TelegramChannels.bidChannel = "bid_channel";
TelegramChannels.presaleChannel = "presale_channel";
TelegramChannels.educationChannel = "education_channel";

TelegramChannels.channelsNames = [
    TelegramChannels.bidChannel,
    TelegramChannels.presaleChannel,
    TelegramChannels.educationChannel,
];

TelegramChannels.default = TelegramChannels.bidChannel;
TelegramChannels.parse_mode = process.env.REACT_APP_TELEGRAM_PARSE_MODE || "html";

TelegramChannels.channelOptions = (channelName = TelegramChannels.default) => {
    if (!TelegramChannels.channelsNames.includes(channelName)) {
        return {
            chat_id: 0,
            token: "",
            parse_mode: TelegramChannels.parse_mode
        }
    }

    switch (channelName) {
        case TelegramChannels.bidChannel:
            return {
                chat_id: process.env.REACT_APP_TELEGRAM_CHAT_ID,
                token: process.env.REACT_APP_TELEGRAM_TOKEN,
                parse_mode: TelegramChannels.parse_mode,
            }
        case TelegramChannels.presaleChannel:
            return {
                chat_id: process.env.REACT_APP_TELEGRAM_CHAT_ID_PREVENTA,
                token: process.env.REACT_APP_TELEGRAM_TOKEN_PREVENTA,
                parse_mode: TelegramChannels.parse_mode,
            }
        case TelegramChannels.educationChannel:
            return {
                chat_id: process.env.REACT_APP_TELEGRAM_CHAT_ID_EDUCACION,
                token: process.env.REACT_APP_TELEGRAM_TOKEN_EDUCACION,
                parse_mode: TelegramChannels.parse_mode,
            }
    }
}

export default TelegramChannels;