import axios from "axios";
import endpoints from "../Services/Api/endpoints";
import TelegramChannels from "./TelegramChannels";

const TelegramHelper = async () => { };

TelegramHelper.sendMessage = (message = "", channel = TelegramChannels.default) => {

    if (channel.length == 0) {
        return;
    }

    if (message.length === 0) {
        return;
    }

    const channelOptions = TelegramChannels.channelOptions(channel);
    let baseUrl = endpoints.telegram.send_message;
    const url = baseUrl.replace('%TOKEN%', channelOptions.token);

    const data = {
        chat_id: channelOptions.chat_id,
        text: message,
        parse_mode: channelOptions.parse_mode
    };

    try {
        axios.post(url, data);
    } catch (error) {
        console.error("TelegramHelper.sendMessage", error);
    }
}

export default TelegramHelper;